Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## juzu.plugin.less.impl
Class LessMetaModelPlugin

    java.lang.Object
      juzu.impl.metamodel.MetaModelPlugin<juzu.impl.plugin.module.metamodel.ModuleMetaModel,juzu.impl.plugin.module.metamodel.ModuleMetaModelPlugin>
          juzu.impl.plugin.module.metamodel.ModuleMetaModelPlugin
              juzu.plugin.less.impl.LessMetaModelPlugin

All Implemented Interfaces:
  Serializable

    public class LessMetaModelPlugin

extends juzu.impl.plugin.module.metamodel.ModuleMetaModelPlugin

Author:
  Julien Viet
See Also:
  Serialized Form

Field Summary
`static juzu.impl.compiler.MessageCode` | `COMPILATION_ERROR` .
`static juzu.impl.compiler.MessageCode` | `MALFORMED_PATH` .

Constructor Summary
`LessMetaModelPlugin()`

Method Summary
`void` | `init(juzu.impl.plugin.module.metamodel.ModuleMetaModel metaModel)`
`Set<Class<? extends Annotation>>` | `init(juzu.impl.compiler.ProcessingContext env)`
`void` | `postActivate(juzu.impl.plugin.module.metamodel.ModuleMetaModel metaModel)`
`void` | `prePassivate(juzu.impl.plugin.module.metamodel.ModuleMetaModel metaModel)`
`void` | `processAnnotationAdded(juzu.impl.plugin.module.metamodel.ModuleMetaModel metaModel, juzu.impl.metamodel.AnnotationKey key, juzu.impl.metamodel.AnnotationState added)`
`void` | `processAnnotationRemoved(juzu.impl.plugin.module.metamodel.ModuleMetaModel metaModel, juzu.impl.metamodel.AnnotationKey key, juzu.impl.metamodel.AnnotationState removed)`

Methods inherited from class juzu.impl.plugin.module.metamodel.ModuleMetaModelPlugin
`processAnnotationChange, toJSON`

Methods inherited from class juzu.impl.metamodel.MetaModelPlugin
`destroy, getCompletions, getDescriptor, getName, postProcessAnnotations, postProcessEvents, processAnnotationUpdated, processEvents`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPILATION_ERROR

    public static final juzu.impl.compiler.MessageCode COMPILATION_ERROR

  .

### MALFORMED_PATH

    public static final juzu.impl.compiler.MessageCode MALFORMED_PATH

  .

Constructor Detail

### LessMetaModelPlugin

    public LessMetaModelPlugin()

Method Detail

### init

    public void init(juzu.impl.plugin.module.metamodel.ModuleMetaModel metaModel)

  Overrides:
    `init` in class `juzu.impl.metamodel.MetaModelPlugin<juzu.impl.plugin.module.metamodel.ModuleMetaModel,juzu.impl.plugin.module.metamodel.ModuleMetaModelPlugin>`

### init

    public Set<Class<? extends Annotation>> init(juzu.impl.compiler.ProcessingContext env)

  Overrides:
    `init` in class `juzu.impl.metamodel.MetaModelPlugin<juzu.impl.plugin.module.metamodel.ModuleMetaModel,juzu.impl.plugin.module.metamodel.ModuleMetaModelPlugin>`

### processAnnotationAdded

    public void processAnnotationAdded(juzu.impl.plugin.module.metamodel.ModuleMetaModel metaModel,
                                       juzu.impl.metamodel.AnnotationKey key,
                                       juzu.impl.metamodel.AnnotationState added)

  Overrides:
    `processAnnotationAdded` in class `juzu.impl.metamodel.MetaModelPlugin<juzu.impl.plugin.module.metamodel.ModuleMetaModel,juzu.impl.plugin.module.metamodel.ModuleMetaModelPlugin>`

### processAnnotationRemoved

    public void processAnnotationRemoved(juzu.impl.plugin.module.metamodel.ModuleMetaModel metaModel,
                                         juzu.impl.metamodel.AnnotationKey key,
                                         juzu.impl.metamodel.AnnotationState removed)

  Overrides:
    `processAnnotationRemoved` in class `juzu.impl.metamodel.MetaModelPlugin<juzu.impl.plugin.module.metamodel.ModuleMetaModel,juzu.impl.plugin.module.metamodel.ModuleMetaModelPlugin>`

### postActivate

    public void postActivate(juzu.impl.plugin.module.metamodel.ModuleMetaModel metaModel)

  Overrides:
    `postActivate` in class `juzu.impl.metamodel.MetaModelPlugin<juzu.impl.plugin.module.metamodel.ModuleMetaModel,juzu.impl.plugin.module.metamodel.ModuleMetaModelPlugin>`

### prePassivate

    public void prePassivate(juzu.impl.plugin.module.metamodel.ModuleMetaModel metaModel)

  Overrides:
    `prePassivate` in class `juzu.impl.metamodel.MetaModelPlugin<juzu.impl.plugin.module.metamodel.ModuleMetaModel,juzu.impl.plugin.module.metamodel.ModuleMetaModelPlugin>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014 eXo Platform SAS. All rights reserved.